apiVersion: v1
kind: Service
metadata:
  creationTimestamp: 2018-09-24T02:54:05Z
  labels:
    run: nats-producer
  name: nats-producer
  namespace: default
  resourceVersion: "1952"
  selfLink: /api/v1/namespaces/default/services/nats-producer
  uid: 1978fc41-bfa5-11e8-b4aa-608a058c43b8
spec:
  clusterIP: 10.109.165.76
  externalTrafficPolicy: Cluster
  ports:
  - nodePort: 31558
    port: 3000
    protocol: TCP
    targetPort: 30002
  selector:
    run: nats-producer
  sessionAffinity: None
  type: NodePort
status:
  loadBalancer: {}
